Package com.ads.api.beans.csm

# Class CodeValue

java.lang.Object
com.ads.api.beans.common.Node
com.ads.api.beans.csm.CodeValue

public class CodeValue extends Node
The CodeValue class contains several useful class fields and methods related to CodeValue and Codeset in which the CodeValue is present. These methods used for setting data to the current object and getting data from the current object .

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.ads.api.beans.common.Node

  `Node.Depth, Node.InputDataType, Node.NodeType, Node.ReturnType`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CodeValue()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CodeValue`
  `addExtendedProperty(KeyValue keyValue)`
  Returns CodeValue object by adding specified KeyValue object to the CodeValue object where KeyValue object contains details like key,value, objectId,objectTypeId etc....
  `AuditHistory`
  `getAuditHistory()`
  Returns the AuditHistory Details.
  `int`
  `getCodesetId()`
  Returns the codesetId.
  `String`
  `getDescription()`
  Returns the description.
  `Date`
  `getEndDate()`
  Returns the endDate.
  `List<KeyValue>`
  `getExtendedProperties()`
  Returns list of KeyValue objects where each KeyValue object contains details like key,value,objectId,objectTypeId etc....
  `int`
  `getId()`
  Returns the id of codevalue object.
  `String`
  `getName()`
  Returns the name.
  `Date`
  `getStartDate()`
  Returns the startDate.
  `String`
  `getSystemEnvironmentName()`
  Returns the systemEnvironmentName.
  `int`
  `getSystemId()`
  Returns the systemId.
  `String`
  `getSystemName()`
  Returns the systemName.
  `String`
  `getUserDefinedField1()`
  Returns the userDefinedField1.
  `String`
  `getUserDefinedField10()`
  Returns the userDefinedField10.
  `String`
  `getUserDefinedField2()`
  Returns the userDefinedField2.
  `String`
  `getUserDefinedField3()`
  Returns the userDefinedField3.
  `String`
  `getUserDefinedField4()`
  Returns the userDefinedField4.
  `String`
  `getUserDefinedField5()`
  Returns the userDefinedField5.
  `String`
  `getUserDefinedField6()`
  Returns the userDefinedField6.
  `String`
  `getUserDefinedField7()`
  Returns the userDefinedField7.
  `String`
  `getUserDefinedField8()`
  Returns the userDefinedField8.
  `String`
  `getUserDefinedField9()`
  Returns the userDefinedField9.
  `String`
  `getValue()`
  Returns the value.
  `boolean`
  `isActive()`
  Returns the isActiveFlag as
  `boolean`
  `isDeleteFlag()`
  Returns the isDeleteFlag as true or false
  `void`
  `setActive(boolean isActive)`
  Sets the isActive as specified.
  `void`
  `setAuditHistory(AuditHistory auditHistory)`
  Method sets the auditHistory details as specified.
  `void`
  `setCodesetId(int codesetId)`
  Sets the codesetId as specified.
  `void`
  `setDeleteFlag(boolean deleteFlag)`
  Sets the deleteFlag as specified.
  `void`
  `setDescription(String description)`
  Sets the description as specified.
  `void`
  `setEndDate(Date endDate)`
  Sets the endDate as specified.
  `CodeValue`
  `setExtendedProperties(List<KeyValue> extendedProperties)`
  Returns the CodeValue object by setting the specified list of extendedProperties to the CodeValue object
  `void`
  `setId(int id)`
  Method sets the id as specified.
  `void`
  `setName(String name)`
  Sets the name as specified.
  `void`
  `setStartDate(Date startDate)`
  Sets the startDate as specified.
  `void`
  `setSystemEnvironmentName(String systemEnvironmentName)`
  Sets the systemEnvironmentName as specified.
  `void`
  `setSystemId(int systemId)`
  Method sets the systemId as specified.
  `void`
  `setSystemName(String systemName)`
  Sets the systemName as specified.
  `void`
  `setUserDefinedField1(String userDefinedField1)`
  Sets the userDefinedField1 as specified.
  `void`
  `setUserDefinedField10(String userDefinedField10)`
  Sets the userDefinedField10 as specified.
  `void`
  `setUserDefinedField2(String userDefinedField2)`
  Sets the userDefinedField2 as specified.
  `void`
  `setUserDefinedField3(String userDefinedField3)`
  Sets the userDefinedField3 as specified.
  `void`
  `setUserDefinedField4(String userDefinedField4)`
  Sets the userDefinedField4 as specified.
  `void`
  `setUserDefinedField5(String userDefinedField5)`
  Sets the userDefinedField5 as specified.
  `void`
  `setUserDefinedField6(String userDefinedField6)`
  Sets the userDefinedField6 as specified.
  `void`
  `setUserDefinedField7(String userDefinedField7)`
  Sets the userDefinedField7 as specified.
  `void`
  `setUserDefinedField8(String userDefinedField8)`
  Sets the userDefinedField8 as specified.
  `void`
  `setUserDefinedField9(String userDefinedField9)`
  Sets the userDefinedField9 as specified.
  `void`
  `setValue(String value)`
  Sets the value as specified.
  `String`
  `toString()`

  ### Methods inherited from class com.ads.api.beans.common.Node

  `addChildNode, getChildNodes, getEndPointType, getNodeId, getNodeType, getObjectTypeId, setChildNodes, setEndPointType, setNodeId, setNodeType, setObjectTypeId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CodeValue

    public CodeValue()

- ## Method Details

  - ### setSystemId

    public void setSystemId(int systemId)
    Method sets the systemId as specified.
    Parameters:
      `systemId` - int

  - ### getSystemId

    public int getSystemId()
    Returns the systemId.
    Returns:
      systemId int.

  - ### getId

    public int getId()
    Returns the id of codevalue object.
    Returns:
      id int

  - ### setId

    public void setId(int id)
    Method sets the id as specified.
    Parameters:
      `id` - int

  - ### getCodesetId

    public int getCodesetId()
    Returns the codesetId.
    Returns:
      codesetId int

  - ### setCodesetId

    public void setCodesetId(int codesetId)
    Sets the codesetId as specified.
    Parameters:
      `codesetId` - int

  - ### getName

    public String getName()
    Returns the name.
    Returns:
      name String

  - ### setName

    public void setName(String name)
    Sets the name as specified.
    Parameters:
      `name` - String

  - ### getValue

    public String getValue()
    Returns the value.
    Returns:
      value String

  - ### setValue

    public void setValue(String value)
    Sets the value as specified.
    Parameters:
      `value` - String

  - ### getDescription

    public String getDescription()
    Returns the description.
    Returns:
      description String

  - ### setDescription

    public void setDescription(String description)
    Sets the description as specified.
    Parameters:
      `description` - String

  - ### getSystemName

    public String getSystemName()
    Returns the systemName.
    Returns:
      systemName String

  - ### setSystemName

    public void setSystemName(String systemName)
    Sets the systemName as specified.
    Parameters:
      `systemName` - String

  - ### getSystemEnvironmentName

    public String getSystemEnvironmentName()
    Returns the systemEnvironmentName.
    Returns:
      systemEnvironmentName String

  - ### setSystemEnvironmentName

    public void setSystemEnvironmentName(String systemEnvironmentName)
    Sets the systemEnvironmentName as specified.
    Parameters:
      `systemEnvironmentName` - String

  - ### isActive

    public boolean isActive()
    Returns the isActiveFlag as
    Returns:
      isActiveFlag boolean

  - ### setActive

    public void setActive(boolean isActive)
    Sets the isActive as specified.
    Parameters:
      `isActive` - boolean

  - ### isDeleteFlag

    public boolean isDeleteFlag()
    Returns the isDeleteFlag as true or false
    Returns:
      isDeleteFlag boolean

  - ### setDeleteFlag

    public void setDeleteFlag(boolean deleteFlag)
    Sets the deleteFlag as specified.
    Parameters:
      `deleteFlag` - boolean

  - ### getStartDate

    public Date getStartDate()
    Returns the startDate.
    Returns:
      startDate Date

  - ### setStartDate

    public void setStartDate(Date startDate)
    Sets the startDate as specified.
    Parameters:
      `startDate` - Date

  - ### getEndDate

    public Date getEndDate()
    Returns the endDate.
    Returns:
      endDate Date

  - ### setEndDate

    public void setEndDate(Date endDate)
    Sets the endDate as specified.
    Parameters:
      `endDate` - Date

  - ### getUserDefinedField1

    public String getUserDefinedField1()
    Returns the userDefinedField1.
    Returns:
      userDefinedField1 String

  - ### setUserDefinedField1

    public void setUserDefinedField1(String userDefinedField1)
    Sets the userDefinedField1 as specified.
    Parameters:
      `userDefinedField1` - String

  - ### getUserDefinedField2

    public String getUserDefinedField2()
    Returns the userDefinedField2.
    Returns:
      userDefinedField2 String

  - ### setUserDefinedField2

    public void setUserDefinedField2(String userDefinedField2)
    Sets the userDefinedField2 as specified.
    Parameters:
      `userDefinedField2` - String

  - ### getUserDefinedField3

    public String getUserDefinedField3()
    Returns the userDefinedField3.
    Returns:
      userDefinedField3 String

  - ### setUserDefinedField3

    public void setUserDefinedField3(String userDefinedField3)
    Sets the userDefinedField3 as specified.
    Parameters:
      `userDefinedField3` - String

  - ### getUserDefinedField4

    public String getUserDefinedField4()
    Returns the userDefinedField4.
    Returns:
      userDefinedField4 String

  - ### setUserDefinedField4

    public void setUserDefinedField4(String userDefinedField4)
    Sets the userDefinedField4 as specified.
    Parameters:
      `userDefinedField4` - String

  - ### getUserDefinedField5

    public String getUserDefinedField5()
    Returns the userDefinedField5.
    Returns:
      userDefinedField5 String

  - ### setUserDefinedField5

    public void setUserDefinedField5(String userDefinedField5)
    Sets the userDefinedField5 as specified.
    Parameters:
      `userDefinedField5` - String

  - ### getUserDefinedField6

    public String getUserDefinedField6()
    Returns the userDefinedField6.
    Returns:
      userDefinedField6 String

  - ### setUserDefinedField6

    public void setUserDefinedField6(String userDefinedField6)
    Sets the userDefinedField6 as specified.
    Parameters:
      `userDefinedField6` - String

  - ### getUserDefinedField7

    public String getUserDefinedField7()
    Returns the userDefinedField7.
    Returns:
      userDefinedField7 String

  - ### setUserDefinedField7

    public void setUserDefinedField7(String userDefinedField7)
    Sets the userDefinedField7 as specified.
    Parameters:
      `userDefinedField7` - String

  - ### getUserDefinedField8

    public String getUserDefinedField8()
    Returns the userDefinedField8.
    Returns:
      userDefinedField8 String

  - ### setUserDefinedField8

    public void setUserDefinedField8(String userDefinedField8)
    Sets the userDefinedField8 as specified.
    Parameters:
      `userDefinedField8` - String

  - ### getUserDefinedField9

    public String getUserDefinedField9()
    Returns the userDefinedField9.
    Returns:
      userDefinedField9 String

  - ### setUserDefinedField9

    public void setUserDefinedField9(String userDefinedField9)
    Sets the userDefinedField9 as specified.
    Parameters:
      `userDefinedField9` - String

  - ### getUserDefinedField10

    public String getUserDefinedField10()
    Returns the userDefinedField10.
    Returns:
      userDefinedField10 String

  - ### setUserDefinedField10

    public void setUserDefinedField10(String userDefinedField10)
    Sets the userDefinedField10 as specified.
    Parameters:
      `userDefinedField10` - String

  - ### getExtendedProperties

    public List<KeyValue> getExtendedProperties()
    Returns list of KeyValue objects where each KeyValue object contains details like key,value,objectId,objectTypeId etc....
    Returns:
      String keyValues

  - ### setExtendedProperties

    public CodeValue setExtendedProperties(List<KeyValue> extendedProperties)
    Returns the CodeValue object by setting the specified list of extendedProperties to the CodeValue object
    Parameters:
      `extendedProperties` - List
    Returns:
      CodeValue

  - ### addExtendedProperty

    public CodeValue addExtendedProperty(KeyValue keyValue)
    Returns CodeValue object by adding specified KeyValue object to the CodeValue object where KeyValue object contains details like key,value, objectId,objectTypeId etc....
    Parameters:
      `keyValue` - KeyValue
    Returns:
      CodeValue

  - ### getAuditHistory

    public AuditHistory getAuditHistory()
    Returns the AuditHistory Details.
    Returns:
      auditHistory AuditHistory

  - ### setAuditHistory

    public void setAuditHistory(AuditHistory auditHistory)
    Method sets the auditHistory details as specified.
    Parameters:
      `auditHistory` - AuditHistory

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`